Z3RAMBD(4)

NAME
z3rambd - Zorro III RAM block device driver

SYNOPSIS
z3rambd* at zbus0
altmem* at z3rambd?

DESCRIPTION
The z3rambd driver provides support using Zorro III RAM boards as block devices (e.g. for swap).

HARDWARE
The z3rambd driver supports the following hardware:

AmigaKit ZorRAM

DKB 3128

FastLane Z3

Individual Computers BigRamPlus

SEE ALSO
altmem(4), boot(8)

HISTORY
The z3rambd device first appeared in NetBSD 7.0.

AUTHORS
-nosplit The z3rambd driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

CAVEATS
Currently it is up to the user to ensure that given memory board is not used by the kernel as normal RAM. It is usually safe to pass the -n0 and -p parameters to boot loader.

If the kernel is compiled without the z3rambd driver, it is possible to use Zorro III memory boards as normal RAM in some configurations. However, this might have severe performance consequences. It is advised to use Zorro III memory boards as swap where possible.